Create a roleCopy Pagepost https://api.controlup.com/v1/organizations/{orgId}/rolesCreates a new role.Required permission: Manage RolesPath ParamsorgIduuidrequired^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}$ID of your ControlUp organization. You can find your organization ID on the API Key Management page in the DEX platform.Body Paramsnamestringrequiredlength ≥ 1The role’s name.descriptionstringThe role’s description.childOrganizationIdsarray of stringsSpecifies the target organizations where this role is applied. This parameter is relevant only for Tenant Manager organizations. If omitted or empty: The role is automatically applied to the Tenant Manager organization AND all of its child organizations. If IDs are provided: The role is restricted only to the specific organization IDs listed. You can include the IDs of child organizations and/or the ID of the Tenant Manager organization itself. If you target exactly one organization ID, you can use the permissions.scopes object to further restrict permissions to specific device groups or tags within that organization. childOrganizationIdsADD stringpermissionsobjectA list of all permissions in the role, organized by the top-level permission category. The permissions object also contains the scopes object which sets the device scope for the role.permissions objectgroupsIdsToAssignarray of objectsIDs of groups to assign to the role. You can use GET /sso-groups to see the ID of each SSO group.groupsIdsToAssignADD uuidusersIdsToAssignarray of objectsIDs of users to assign to the role. You can use GET /users to see the ID of each user.usersIdsToAssignADD uuidResponses 200Ok 400Bad Request 401Unauthorized: Access is denied 403Forbidden: Access to this resource is denied 404Not Found: The requested resource could not be found 500Internal Server ErrorUpdated 3 months ago List all rolesRetrieve a roleDid this page help you?YesNo